معرفی رپسا (Rapsa)
رپسا (رمزینه پاسخ سریع ایران) یک استاندارد ملی و بومی برای تبادل امن و سریع اطلاعات هویتی و تراکنشها است. این پروژه با هدف ایجاد زیرساختی امن، سبک و قابل اعتماد برای احراز هویت، امضای دیجیتال و پرداخت در اکوسیستم دیجیتال کشور طراحی شده است. رپسا برای یکپارچگی (Integrity) و یکپارچهسازی دادهها و تراکنشها در سراسر اکوسیستم مالی و هویتی کشور آمده است.
قابلیتها و موارد استفاده
۱. ایرانپی (IranPay) — شبکه پرداخت مبتنی بر رپسا
ایرانپی شبکه پرداخت مبتنی بر رپسا برای انتقال وجه و پرداخت بین موسسات مالی است. این شبکه از بارکدهای آفلاین و تراکنشهای آنلاین پشتیبانی میکند و وابسته به سرویس مرکزی نیست.
ایرانپی قابلیت اتصال مستقیم بانکها و موسسات مالی را دارد. تمامی تراکنشها امضا دارند و تاییدیه بهصورت توزیعشده (Distributed) بررسی میشود؛ بنابراین برخلاف شبکههای فعلی، سامانه مرکزی مانند شتاب و شاپرک ندارد.
این شبکه از هر دو مدل پرداخت Consumer Present (ارائه بارکد توسط مشتری) و Merchant Present (ارائه بارکد توسط پذیرنده) بهصورت آفلاین پشتیبانی میکند. در زمانهای عادی و بحران بدون قطعی به کار خود ادامه میدهد.
ایرانپی سریعترین شبکه انتقال پول در کشور است و توان عملیاتی (TPS) آن دهها برابر شبکههای پرداخت ملی فعلی است. این شبکه دارای نظام مدیریت کلید و امضای گواهینامههای دیجیتال است که امنیت و اعتماد کامل را تضمین میکند.
۲. سرویس انتقال وجه (P2P Transfer)
به عنوان یک استاندارد جامع، رپسا امکان انتقال وجه نظیر به نظیر (P2P) را تسهیل میکند. کاربران میتوانند با اسکن رمزینه طرف مقابل، اطلاعات حساب یا کیف پول را به صورت امن دریافت کرده و عملیات انتقال را بدون خطا انجام دهند.
۳. ابزار انتقال اطلاعات پایه
رپسا تنها محدود به پرداخت نیست؛ بلکه یک فرمت عمومی است که میتوان هر نوع دادهای را در آن منتقل کرد — اما به شکل استاندارد و یکپارچه. این قابلیت خوانش توسط اپلیکیشنهای مختلف را داراست و تضمین میکند دادهها در سراسر اکوسیستم بهصورت سازگار و بدون ابهام تبادل شوند.
۴. زیرساخت پروژه کهربا (EMV & NFC)
پروژه ملی کهربا (کارت هوشمند همراه بانکی) برای انتقال دادهها و فرمتهای اطلاعاتی خود از رپسا استفاده میکند. کهربا یک راهکار جامع برای جایگزینی کارتهای فیزیکی بانکی با کارتهای دیجیتال در تلفن همراه است که امنیت و قابلیتهای کارتهای بانکی را به دستگاههای هوشمند میآورد.
این استاندارد با پشتیبانی کامل از پروتکلهای EMV (استاندارد جهانی پرداخت کارتی)، امکان انجام تراکنشهای بدون تماس (NFC) و مبتنی بر QR را با امنیتی مشابه کارتهای فیزیکی بانکی فراهم میکند. کهربا با بهرهگیری از فرمتهای استاندارد رپسا، فرایند صدور، نگهداری و استفاده از کارت دیجیتال را در بستر موبایل ممکن میسازد.
پروتکل EMV که توسط Europay، Mastercard و Visa توسعه یافته، استاندارد جهانی تعامل کارتهای پرداخت با پایانههای فروش (POS) و دستگاههای خودپرداز (ATM) است. رپسا با پیادهسازی این استاندارد در بستر QR و NFC، سازگاری کامل با زیرساختهای پرداخت جهانی را تضمین میکند.
۵. رمز ریال (Digital Rial) — پول دیجیتال بانک مرکزی
پروژه رمز ریال بانک مرکزی برای انتقال دادهها و فرمتهای اطلاعاتی خود از رپسا استفاده میکند. رمز ریال، پول دیجیتال بانک مرکزی جمهوری اسلامی ایران است که بهصورت دیجیتال با استفاده از فناوری دفتر کل توزیعشده توسط بانک مرکزی منتشر میشود.
رمز ریال شکل دیجیتالی اسکناس و جزئی از پایه پولی است؛ از اینرو امتیاز انتشار آن در انحصار بانک مرکزی و مبتنی بر پشتوانههای قانونی و تعهد مستقیم بانک مرکزی است. واسطههای توزیع، بانکها و موسسات اعتباری دارای مجوز هستند که ارتباط با کاربران نهایی را مدیریت میکنند و میتوانند دفتر کل زیرساخت رمز ریال را نگهداری و بهروزرسانی کنند.
رمز ریال همانند اسکناس، بدهی بانک مرکزی محسوب میشود و در کیف رمز ریال نزد خود مشتریان نگهداری میشود، نه در حساب بانکی. کاربران از طریق نرمافزارهای مجهز به خدمات رمز ریال مانند همراهبانک، علاوه بر نگهداری امن از کلیدهای خصوصی خود، امکان انجام تراکنش را بهصورت بلادرنگ خواهند داشت.
بانک مرکزی با هدف بسترسازی برای توسعه اقتصاد دیجیتال، توسعه تابآوری ابزارهای پرداخت، بهبود کارایی ابزارهای پرداخت نوین و فعالسازی ظرفیت برنامهپذیری پول، اقدام به توسعه رمز ریال کرده است. زیرساخت رپسا با فراهمآوردن امنیت، سرعت و قابلیت توزیعشده، بستر مناسبی برای تحقق این اهداف است.
امضای دیجیتال رپسا (Rapsa Digital Signature)
بخش حیاتی امنیت رپسا، مکانیزم امضای دیجیتال آن است که اصالت و یکپارچگی دادهها را تضمین میکند.
- استاندارد CBOR (RFC 8949): استفاده از فرمت باینری فشرده برای کاهش حجم دادهها، که برای محیطهای محدود مانند QR Code و NFC ایدهآل است.
- استاندارد COSE (RFC 8152): پیادهسازی ساختار امنیتی استاندارد برای امضا و رمزنگاری اشیاء CBOR.
- الگوریتم Ed25519 (RFC 8932): استفاده از منحنی بیضوی ادواردز برای تولید امضاهای دیجیتال با امنیت بسیار بالا و سرعت پردازش فوقالعاده، مناسب برای تراکنشهای آنی.
این معماری تضمین میکند که دادههای رپسا حتی در حالت آفلاین نیز قابل اعتبارسنجی (Verifiable) و غیرقابل انکار (Non-repudiation) باشند.